Error
A valid request URL is required to generate request examples{
"item": {
"agencyId": "LND_Agency-42",
"planId": "plan-AB",
"planVersion": 42,
"timestamp": "2019-11-15T12:34:56Z",
"unaffectedStopIds": [
"<string>"
],
"unaffectedAlternativeIds": [
"<string>"
],
"unusedResourceIds": [
"<string>"
],
"objectives": [
{
"name": "maximizeMandatoryStops",
"priority": 1,
"direction": "maximize",
"value": 232
},
{
"name": "minimizeDelay",
"direction": "minimize",
"value": 3600
},
{
"name": "minimizeResources",
"priority": 0,
"direction": "minimize",
"value": 232
},
{
"name": "maximizeOptionalStops",
"priority": 0,
"direction": "maximize",
"value": 232
},
{
"name": "minimizeLargestTourDuration",
"priority": 0,
"direction": "minimize",
"value": 1000
},
{
"name": "minimizeWorkingDuration",
"priority": 0,
"direction": "minimize",
"value": 83430
},
{
"name": "minimizeDistance",
"priority": 0,
"direction": "minimize",
"value": 88232.4
}
],
"tours": [
{
"resourceId": "<string>",
"mode": "free",
"distanceInKm": 123,
"emptyDistanceInKm": 10.5,
"tourCost": 123,
"CO2Emission": 12345.6,
"totalDelay": "PT4M",
"travelDuration": "PT4M",
"workingDuration": "PT4M",
"waitingDuration": "PT4M",
"resourceCapacities": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"maxFilledCapacities": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"filledCapacitiesAtBegin": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"filledCapacitiesAtEnd": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"isValid": true,
"violations": [
{
"type": "begin",
"wayPointIndex": 0
}
],
"wayPoints": [
{
"type": "begin",
"position": {
"lon": 2.3269331,
"lat": 48.8812658
},
"status": "fixed",
"departureTime": "2019-11-15T12:34:56Z",
"violations": [
{
"type": "begin",
"wayPointIndex": 0
}
],
"fromPrevious": {
"travelDistanceInKm": 2.3269331,
"travelDuration": "PT4M"
}
}
],
"vehicleProfile": {
"type": "fly",
"kmph": 123
}
}
],
"totalDelay": "PT4M",
"emptyDistanceInKm": 123.45,
"CO2Emission": 67890.1,
"globalViolations": [
{
"type": "maxCumulatedCost",
"name": "<string>",
"resourceIds": [
"<string>"
],
"maximum": 123,
"exceededCost": 123
}
]
},
"agencyId": "LND_Agency-42",
"planId": "plan-AB",
"planVersion": 42
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Core
Retrieve a plan solution
GET
/
agencies
/
{agencyId}
/
plans
/
{planId}
/
solution
Error
A valid request URL is required to generate request examples{
"item": {
"agencyId": "LND_Agency-42",
"planId": "plan-AB",
"planVersion": 42,
"timestamp": "2019-11-15T12:34:56Z",
"unaffectedStopIds": [
"<string>"
],
"unaffectedAlternativeIds": [
"<string>"
],
"unusedResourceIds": [
"<string>"
],
"objectives": [
{
"name": "maximizeMandatoryStops",
"priority": 1,
"direction": "maximize",
"value": 232
},
{
"name": "minimizeDelay",
"direction": "minimize",
"value": 3600
},
{
"name": "minimizeResources",
"priority": 0,
"direction": "minimize",
"value": 232
},
{
"name": "maximizeOptionalStops",
"priority": 0,
"direction": "maximize",
"value": 232
},
{
"name": "minimizeLargestTourDuration",
"priority": 0,
"direction": "minimize",
"value": 1000
},
{
"name": "minimizeWorkingDuration",
"priority": 0,
"direction": "minimize",
"value": 83430
},
{
"name": "minimizeDistance",
"priority": 0,
"direction": "minimize",
"value": 88232.4
}
],
"tours": [
{
"resourceId": "<string>",
"mode": "free",
"distanceInKm": 123,
"emptyDistanceInKm": 10.5,
"tourCost": 123,
"CO2Emission": 12345.6,
"totalDelay": "PT4M",
"travelDuration": "PT4M",
"workingDuration": "PT4M",
"waitingDuration": "PT4M",
"resourceCapacities": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"maxFilledCapacities": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"filledCapacitiesAtBegin": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"filledCapacitiesAtEnd": {
"volume": 9.5,
"weight": 2200,
"nbPackages": 23
},
"isValid": true,
"violations": [
{
"type": "begin",
"wayPointIndex": 0
}
],
"wayPoints": [
{
"type": "begin",
"position": {
"lon": 2.3269331,
"lat": 48.8812658
},
"status": "fixed",
"departureTime": "2019-11-15T12:34:56Z",
"violations": [
{
"type": "begin",
"wayPointIndex": 0
}
],
"fromPrevious": {
"travelDistanceInKm": 2.3269331,
"travelDuration": "PT4M"
}
}
],
"vehicleProfile": {
"type": "fly",
"kmph": 123
}
}
],
"totalDelay": "PT4M",
"emptyDistanceInKm": 123.45,
"CO2Emission": 67890.1,
"globalViolations": [
{
"type": "maxCumulatedCost",
"name": "<string>",
"resourceIds": [
"<string>"
],
"maximum": 123,
"exceededCost": 123
}
]
},
"agencyId": "LND_Agency-42",
"planId": "plan-AB",
"planVersion": 42
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The agency id.
Pattern:
^[A-Z]{3,6}_[a-zA-Z0-9-._~:@!$,]+$Example:
"LND_Agency-42"
The plan id. At least one character among those allowed: unaccented alpha-numeric characters, "-", ".", "_", "~", ":", "@", "!", "$", ",".
Pattern:
^[a-zA-Z0-9-._~:@!$,]+$Response
Solution response.
[TO_VALIDATE] Description pending review by a Kardinal engineer.
[TO_VALIDATE] Description pending review by a Kardinal engineer.
Show child attributes
Show child attributes
The agency id.
Pattern:
^[A-Z]{3,6}_[a-zA-Z0-9-._~:@!$,]+$Example:
"LND_Agency-42"
The plan id.
Pattern:
^[a-zA-Z0-9-._~:@!$,]+$Example:
"plan-AB"
The plan version.
Required range:
x >= 1Example:
42
⌘I